Returns information about a project, including credit issuances by vintage year
/projects/{id}Authorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
id
string
requiredID of the project to return
Project Details
Show response attributes
id
string
Identifier that can be used to retrieve the project details
name
string
Name of the project
summary
string | null
A short summary of the project
description
string | null
A longer description of the project
type
string
Type of project, eg Afforrestation, Renewable Energy, etc
activity_types
string[]
List of activity types for the project
developer
string | null
The name of the company or organization sponsoring the project
registry_name
string | null
The name of the registry on which the project's credits are registered
registry_id
string | null
The id of the project within the registry
registry_url
string | null
The full url to the project's documentation on the registry website
location_name
string | null
Location of the project
location_latitude
number | null
Latitude for the location of the project
location_longitude
number | null
Longitude for the location of the project
primary_image_url
string | null
URL for the primary image of the project
un_sdg_goals
number[]
list of UN Sustainable Development Goals supported by this project; see https://sdgs.un.org/goals
methodology
string | null
The methodology used for the project
verifier
string | null
The verifier of the project
permanence
string | null
Information about the permanence of the carbon removal
lifetime
object
The lifetime of the project
Show child attributes
start_year
integer | null
The start year of the project
end_year
integer | null
The end year of the project
impact_type
string | null
The type of impact the project has (avoided emissions, removal, or mix of both)
due_diligence
string | null
Information about the due diligence performed on the project
beyond_carbon
string | null
Information about benefits beyond carbon reduction
risk_of_reversal
string | null
Information about the risk of carbon reversal
third_party_labels
string[] | null
List of third-party labels or certifications
notable_buyers
object[] | null
List of notable buyers of credits from this project
Show child attributes
name
string
Name of the buyer
logo_url
string
URL to the buyer's logo
logo_alt_text
string | null
Alt text for the buyer's logo
due_diligence_figure
object | null
Figure illustrating due diligence information
Show child attributes
description
string
Description of the due diligence figure
image_url
string
URL to the due diligence figure image
image_alt_text
string | null
Alt text for the due diligence figure image
news_articles
object[] | null
List of news articles related to the project
Show child attributes
title
string
Title of the news article
url
string
URL to the news article
author
string
Author of the news article
published_on
string<date-time>
Publication date of the news article
cnaught_take
string | null
CNaught's perspective on the news article
credit_issuances
object[]
A list of credit issuances by vintage year
Show child attributes
vintage_year
integer
The vintage year of the credit issuance
total_amount
integer
The total amount of credits issued for that year (in tonnes of CO₂e)
Get Project By Id
curl --request GET \
--url https://api.cnaught.com/v1/projects/<id> \
--header 'Authorization: Bearer <token>'{
"id": "tbCjWP",
"name": "Fuzhou Hongmiaoling Landfill Gas to Electricity Project",
"summary": "This project collects landfill gas to generate 2.5MW of electricity at a landfill in southeastern China, avoiding the emission of methane (a potent greenhouse gas) into the atmosphere and using the methane to generate power and displace dirtier coal-fired power in the electric grid.",
"description": "This project supports collection of landfill gas and generation of 2.5MW of electricity at a landfill in Fuzhou City in Fujian Province in southeastern China. The landfill received waste from 1995 until 2008, and—like most landfills—throws off methane as some of that waste decomposes. Credits are generated from two pieces of the project: (1) avoiding the emissions of methane (a potent greenhouse gas) into the atmosphere and (2) using the power generated from the methane (natural gas) to displace dirtier coal-fired power coming from the electric grid. The project clearly required carbon revenues to achieve these two goals and therefore generates high-quality carbon offsets.",
"developer": "Fujian Tianyi Renewable Energy Technology & Utilization Co., Ltd.",
"location_latitude": 26.0833,
"location_longitude": 119.3,
"location_name": "Fujian Province, China",
"primary_image_url": "https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/6524ae6c0387291e029550f1_64076b4177668a2e4a6a1d31_peter-thomas-TRAYV5rsA9Y-unsplash%25201.jpeg",
"registry_id": "253",
"registry_name": "Verra",
"registry_url": "https://registry.verra.org/app/projectDetail/VCS/253",
"type": "Landfill Gas",
"un_sdg_goals": [],
"credit_issuances": [
{
"vintage_year": 2020,
"total_amount": 50000
},
{
"vintage_year": 2021,
"total_amount": 75000
},
{
"vintage_year": 2022,
"total_amount": 60000
}
]
}